# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=man-db
pkgver=2.10.2
pkgrel=1
pkgdesc="A utility for reading man pages"
arch=('x86_64')
url="https://gitlab.com/cjwatson/man-db"
license=('GPL' 'LGPL')
groups=('base')
depends=('bash' 'gdbm' 'groff' 'glibc' 'gzip' 'less' 'libpipeline' 'zlib')
makedepends=('binutils' 'bzip2' 'coreutils' 'flex' 'gcc' 'gettext' 'grep'  'make' 'sed' 'xz')
checkdepends=('util-linux')
source=(https://savannah.nongnu.org/download/${pkgname}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(ee97954d492a13731903c9d0727b9b01e5089edbd695f0cdb58d405a5af5514d)

build() {
    cd ${pkgname}-${pkgver}

    ${configure}                       \
        --sysconfdir=/etc              \
        --disable-setuid               \
        --enable-cache-owner=bin       \
        --with-browser=/usr/bin/lynx   \
        --with-vgrind=/usr/bin/vgrind  \
        --with-grap=/usr/bin/grap      \

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
